Subject: Re: [PATCH net-next v3 02/11] net: phy: introduce phy_has_c45_registers()

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 2 Aug 2023 18:10:27 +0100

On Wed, Aug 02, 2023 at 06:15:19PM +0200, Andrew Lunn wrote:
> > I'm confused now. Andrew suggested to split it into four different
> > functions:
> > 
> > phy_has_c22_registers()
> > phy_has_c45_registers()
> > phy_has_c22_transfers()
> > phy_has_c45_transfers()
> > 
> > Without a functional change. That is, either return phydev->is_c45
> > or the inverse.
> 
> Without a functional change at this step of introducing the four
> functions. Then later really implement them to do what the name
> implies. Doing it in steps helps with bisect when it breaks something.
> 
> It could also be that not all four are needed, or not all four are
> possible. But the four express the full combinations of transfers and
> registers.

I'm left wondering how you think that phy_has_c45_registers() can
be implemented in a useful way, because I'm at a total loss...

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!